/// <reference types="react" />
import { FieldValues } from "react-hook-form";
export default function useFormContextWithRef<TFieldValues extends FieldValues>(): {
    instanceRef: import("react").MutableRefObject<HTMLInputElement | undefined>;
    registerWithRef: (fieldName: import("react-hook-form").Path<TFieldValues>, registerOptions: import("react-hook-form").RegisterOptions<TFieldValues, import("react-hook-form").Path<TFieldValues>> | undefined) => {
        ref: (instance: HTMLInputElement | null) => void;
        onChange: import("react-hook-form").ChangeHandler;
        onBlur: import("react-hook-form").ChangeHandler;
        name: import("react-hook-form").Path<TFieldValues>;
        min?: string | number | undefined;
        max?: string | number | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
        required?: boolean | undefined;
        disabled?: boolean | undefined;
    };
    watch: import("react-hook-form").UseFormWatch<TFieldValues>;
    getValues: import("react-hook-form").UseFormGetValues<TFieldValues>;
    getFieldState: import("react-hook-form").UseFormGetFieldState<TFieldValues>;
    setError: import("react-hook-form").UseFormSetError<TFieldValues>;
    clearErrors: import("react-hook-form").UseFormClearErrors<TFieldValues>;
    setValue: import("react-hook-form").UseFormSetValue<TFieldValues>;
    trigger: import("react-hook-form").UseFormTrigger<TFieldValues>;
    formState: import("react-hook-form").FormState<TFieldValues>;
    resetField: import("react-hook-form").UseFormResetField<TFieldValues>;
    reset: import("react-hook-form").UseFormReset<TFieldValues>;
    handleSubmit: import("react-hook-form").UseFormHandleSubmit<TFieldValues, undefined>;
    unregister: import("react-hook-form").UseFormUnregister<TFieldValues>;
    control: import("react-hook-form").Control<TFieldValues, any>;
    register: import("react-hook-form").UseFormRegister<TFieldValues>;
    setFocus: import("react-hook-form").UseFormSetFocus<TFieldValues>;
};
